Bug 456887 - Mixer plugin does not correctly remember alternative device setting
Mixer plugin does not correctly remember alternative device setting
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xfce4-mixer (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 09:36 EDT by Michael Ekstrand
Modified: 2008-10-10 14:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-10 14:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ekstrand 2008-07-28 09:36:37 EDT
Description of problem:
When configured to use an alternative device for the displayed mixer in the
applet (in my case, the sound card master rather than PulseAudio), it does start
up connected to the correct device; rather, it starts up displaying the volume
for the PulseAudio (default) device.

If I right-click on the applet and select "Properties", it does show the device
I have selected configured (#0).  Clicking "Close" then causes it to connect to
the correct device.  Thus, it seems that the device preference is being
correctly stored, but not correctly configured when the applet starts up.

Version-Release number of selected component (if applicable):
4.4.2-2.fc9

How reproducible:
Select an alternate device as the default for the mixer plugin, log out, and log
back in.

Steps to Reproduce:
1. Add a mixer applet to the XFCE panel
2. Configure the mixer panel plugin to use an alternative device (i.e. hardware
device rather than default PulseAudio).
3. Log out
4. Log in.
  
Actual results:
Panel applet displays volume for the PulseAudio device.

Expected results:
Panel applet should display volume for the configured alternate device.

Additional info:
Comment 1 Kevin Fenzi 2008-07-28 23:14:31 EDT
Is there any errors or other output of interest in ~/.xsession-errors?

When you set the device, does the ~/.config/xfce4/mcs_settings/sound.xml file
update correctly? Does that file change on login? 

Comment 2 Michael Ekstrand 2008-07-29 07:57:31 EDT
~/.xsession-errors does not contain anything that seems pertinent.

~/.config/xfce4/mcs_settings/sound.xml indicates that it is supposed to use the
selected alternate device.  After a fresh login, sound.xml indicates device #0
(HDA Intel), but the applet is connected to the PulseAudio device.

I have also now confirmed that it is fully connected to and manipulating the
PulseAudio volume, not merely displaying it once while being actually backed by
the correct device.
Comment 3 Kevin Fenzi 2008-10-09 20:52:07 EDT
This appears to be upstream bug 3283:

http://bugzilla.xfce.org/show_bug.cgi?id=3283

Would you like to add yourself up there and provide more info? 
Or would you like me to do so? 

I would suggest we close this bug and let upstream work on it, but if you prefer we can leave it open as a reminder to pull in any fix they have. 

Thoughts?
Comment 4 Michael Ekstrand 2008-10-10 13:49:48 EDT
I've added a link back to this bug report in the Xfce report.

As far as closing it or not -- I don't really have an opinion.  Whatever you think would best enable the Fedora XFCE maintainers to deal with the situation.
Comment 5 Kevin Fenzi 2008-10-10 14:10:13 EDT
Well, I have added myself to the upstream bug, so I will know if anything happens there.

I'm inclined to close this UPSTREAM. 

Feel free to re-open or file a new bug if you disagree. ;) 

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.